package com.jpattern.orm.generator.javassist;

import com.jpattern.orm.classmapper.IClassMapper;
import com.jpattern.orm.generator.IGeneratorStrategy;
import com.jpattern.orm.generator.IPersistorGenerator;

/**
 * 
 * @author Francesco Cina'
 *
 * Mar 24, 2012
 */
public class JavassistGeneratorStrategy implements IGeneratorStrategy {

	@Override
	public <T> IPersistorGenerator<T> getGenerator(IClassMapper<T> classMapper, String classNameSuffix) {
		return new JavassistPersistorGenerator<T>(classMapper, classNameSuffix);
	}

}
