package com.jpattern.orm.session;

import com.jpattern.orm.exception.OrmException;
import com.jpattern.orm.transaction.ITransaction;
import com.jpattern.orm.transaction.ITransactionDefinition;

/**
 * 
 * @author Francesco Cina'
 *
 * Dec 20, 2011
 */
public interface ISessionStrategy {

	ITransaction getTransaction(ITransactionDefinition transactionDefinition) throws OrmException;

	ISqlPerformerStrategy sqlPerformerStrategy() throws OrmException;
	
}
